Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157293 - Multiple definitions of Gtk::RadioAction::Group
Summary: Multiple definitions of Gtk::RadioAction::Group
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkmm24
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Denis Leroy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 09:54 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 14:41:33 UTC


Attachments (Terms of Use)
Patch to remove extra member in Gtk::RadioAction (deleted)
2005-05-10 09:54 UTC, Ignacio Vazquez-Abrams
no flags Details | Diff

Description Ignacio Vazquez-Abrams 2005-05-10 09:54:55 UTC
There are 2 definitions of Gtk::RadioAction::Group in
/usr/include/gtkmm24/radioaction.h. One is at line 88, and the other at line
101. Although this does not interfere with GCC 3.x, it does trip up GCC 4. Patch
attached.

Comment 1 Ignacio Vazquez-Abrams 2005-05-10 09:54:55 UTC
Created attachment 114196 [details]
Patch to remove extra member in Gtk::RadioAction

Comment 2 Denis Leroy 2005-05-10 14:21:38 UTC
Yup. This was fixed in a later version of gtkmm, but still affects FC3 (because
the 2.4 to 2.6 updates are only available for FC4).

However, upgrading from 2.4.8 to to 2.4.11 will fix this problem. I'll check in
an update in the FC3 branch.


Comment 3 Denis Leroy 2005-05-11 14:41:33 UTC
2.4.11 build succeeded for FC3. :-)



Note You need to log in before you can comment on or make changes to this bug.